Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.coerce
Class Coercions.Coerce<T>

    java.lang.Object
      cascading.tuple.coerce.Coercions.Coerce<T>

All Implemented Interfaces:
  CoercibleType<T>, Serializable, Type

Direct Known Subclasses:
  BigDecimalCoerce, BooleanCoerce, BooleanObjectCoerce, CharacterCoerce, CharacterObjectCoerce, DoubleCoerce, DoubleObjectCoerce, FloatCoerce, FloatObjectCoerce, IntegerCoerce, IntegerObjectCoerce, LongCoerce, LongObjectCoerce, ObjectCoerce, ShortCoerce, ShortObjectCoerce, StringCoerce

Enclosing class:
  Coercions

    public abstract static class Coercions.Coerce<T>

extends Object
implements CoercibleType<T>

See Also:
  Serialized Form

Constructor Summary
`protected` | `Coercions.Coerce(Map<Type,Coercions.Coerce> map)`

Method Summary
`T` | `canonical(Object value)`
`abstract T` | `coerce(Object value)`
`
`<Coerce> Coerce`
` | `coerce(Object value, Type to)`
`boolean` | `equals(Object object)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface cascading.tuple.type.CoercibleType
`getCanonicalType`

Constructor Detail

### Coercions.Coerce

    protected Coercions.Coerce(Map<Type,Coercions.Coerce> map)

Method Detail

### canonical

    public T canonical(Object value)

  Specified by:
    `canonical` in interface `CoercibleType<T>`
  Parameters:
    `value` - of type Object
  Returns:
    the value coerced into its canonical type

### coerce

    public <Coerce> Coerce coerce(Object value,
                                  Type to)

  Specified by:
    `coerce` in interface `CoercibleType<T>`
  Parameters:
    `value` - of type Object
    `to` - of type Type
  Returns:
    the value coerced into the requested type

### coerce

    public abstract T coerce(Object value)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.